<template>
  <v-container fluid>
    <v-row>
      <v-col cols="12" md="1"></v-col>
      <v-col cols="12" md="10">
        <h2 class="text-center text-h2">Почему мы?</h2>
        <ProofCards/>
        <h2 class="text-center text-h2 my-3">Выставьте объявление</h2>
        <CarForm @addAd="addAd"/>
        <h3 class="text-center text-h3 my-3">Отфильтруйте лишнее</h3>
        <FiltersForm/>
        <h3 class="text-center text-h3 my-3">Объявления</h3>
        <div class="d-flex flex-wrap mt-5">
          <CarCard v-for="car in cars" v-bind:car="car" :key="car.id"/>
        </div>
      </v-col>
      <v-col cols="12" md="1"></v-col>
    </v-row>
  </v-container>
</template>

<script>
import Vue from "vue";
import axios from "axios";
import VueAxios from "vue-axios";
import CarCard from "@/components/CarCard.vue";
import CarForm from "@/components/CarForm.vue";
import ProofCards from "@/components/ProofCards.vue";
import FiltersForm from "@/components/FiltersForm.vue";

Vue.use(VueAxios, axios);
export default {
  name: "CarsPage",
  components: {
      CarCard, CarForm, ProofCards, FiltersForm,
    },
  data: () => ({
      show: false,
      cars: [],
    }),
  methods: {
    GetCars: function () {
      let api = "http://127.0.0.1:8000/api/Cars/";
      axios({
        method: "get",
        url: api,
      })
        .then((response) => {
          this.cars = response.data;
        })
        .catch((response) => {
          console.log(response);
        });
    },
    addAd(car) {
        this.cars.push(car)
      },
  },
  mounted() {
    this.GetCars();
    // this.$store.dispatch("getCars")
  },
};
</script>

<style scoped lang="scss">

</style>